import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSTextContentManager } from "./NSTextContentManager.js";
import type { _NSTextRange } from "./NSTextRange.js";
export declare class _NSTextElement extends _NSObject {
    static alloc(): _NSTextElement;
    static new(): _NSTextElement;
    init(): _NSTextElement;
    initWithTextContentManager$(textContentManager: _NSTextContentManager | null): _NSTextElement;
    /**
     * Returns the owner NSTextContentManager. A text element can migrate between text content managers.
     */
    textContentManager(): _NSTextContentManager | null;
    setTextContentManager$(value: _NSTextContentManager | null): void;
    /** Represents the range of the element inside the document. */
    elementRange(): _NSTextRange | null;
    setElementRange$(value: _NSTextRange | null): void;
    /**
     * A concrete NSTextElement subclass can be structured in a tree. An element can have zero or more child elements. This section provides interface for supporting such a configuration. Returns an array of children. The array can contain zero or more elements.
     */
    childElements(): _NSArray;
    /** Returns the parent element if the receiver is a child. */
    parentElement(): _NSTextElement;
    /**
     * Returns YES if it is an element represented in text layout. It is enumerated by NSTextContentManager.
     */
    isRepresentedElement(): boolean;
}
